##### 7.7.7.0. lpDimCheck

Procedure from library `fpadim.lib` (see fpadim_lib).

Usage:
  lpDimCheck(G);

Return:
  int, 1 if K-dimension of the factor algebra is infinite, 0 otherwise

Purpose:
  Checking a factor algebra for finiteness of the K-dimension

Assume:
  - basering is a Letterplace ring. G is a Letterplace ideal.

Example:

    LIB "fpadim.lib";
    ring r = 0,(x,y),dp;
    def R = makeLetterplaceRing(5); // constructs a Letterplace ring
    setring R; // sets basering to Letterplace ring
    ideal G = x(1)*x(2), y(1)*y(2),x(1)*y(2)*x(3);
    // Groebner basis
    ideal I = x(1)*x(2), y(1)*x(2)*y(3), x(1)*y(2)*x(3);
    // Groebner basis
    lpDimCheck(G); // invokes procedure, factor algebra is of finite K-dimension
    ==> 0
    lpDimCheck(I); // invokes procedure, factor algebra is of infinite Kdimension
    ==> 1

User manual for Singular version 4-0-3, 2016, generated by texi2html.